## hb-features hb-features — Feature detection |

## Types and Values

#define | HB_HAS_CAIRO
#define | HB_HAS_CORETEXT
#define | HB_HAS_DIRECTWRITE
#define | HB_HAS_FREETYPE
#define | HB_HAS_GDI
#define | HB_HAS_GLIB
#define | HB_HAS_GOBJECT
#define | HB_HAS_GRAPHITE
#define | HB_HAS_GPU
#define | HB_HAS_ICU
#define | HB_HAS_RASTER
#define | HB_HAS_SUBSET
#define | HB_HAS_UNISCRIBE
#define | HB_HAS_VECTOR
#define | HB_HAS_WASM

## Includes

    #include <hb-features.h>

## Description

Macros for detecting optional HarfBuzz features at build time.

## Functions

## Types and Values

### HB_HAS_CAIRO

    #define HB_HAS_CAIRO 1

Defined if Harfbuzz has been built with cairo support.

### HB_HAS_CORETEXT

    #define HB_HAS_CORETEXT 1

Defined if Harfbuzz has been built with CoreText support.

### HB_HAS_DIRECTWRITE

    #define HB_HAS_DIRECTWRITE 1

Defined if Harfbuzz has been built with DirectWrite support.

### HB_HAS_FREETYPE

    #define HB_HAS_FREETYPE 1

Defined if Harfbuzz has been built with Freetype support.

### HB_HAS_GDI

    #define HB_HAS_GDI 1

Defined if Harfbuzz has been built with GDI support.

### HB_HAS_GLIB

    #define HB_HAS_GLIB 1

Defined if Harfbuzz has been built with GLib support.

### HB_HAS_GOBJECT

    #define HB_HAS_GOBJECT 1

Defined if Harfbuzz has been built with GObject support.

### HB_HAS_GRAPHITE

    #define HB_HAS_GRAPHITE 1

Defined if Harfbuzz has been built with Graphite support.

### HB_HAS_GPU

    #define HB_HAS_GPU 1

Defined if Harfbuzz has been built with the GPU library.

### HB_HAS_ICU

    #define HB_HAS_ICU 1

Defined if Harfbuzz has been built with ICU support.

### HB_HAS_RASTER

    #define HB_HAS_RASTER 1

Defined if Harfbuzz has been built with the raster library.

### HB_HAS_SUBSET

    #define HB_HAS_SUBSET 1

Defined if Harfbuzz has been built with the subset library.

### HB_HAS_UNISCRIBE

    #define HB_HAS_UNISCRIBE 1

Defined if Harfbuzz has been built with Uniscribe support.

### HB_HAS_VECTOR

    #define HB_HAS_VECTOR 1

Defined if Harfbuzz has been built with the vector library.

### HB_HAS_WASM

    #define HB_HAS_WASM 1

Defined if Harfbuzz has been built with WebAssembly support.